org.apache.cassandra.dht

## Interface RangeStreamer.ISourceFilter

- All Known Implementing Classes:
    RangeStreamer.ExcludeLocalNodeFilter, RangeStreamer.FailureDetectorSourceFilter, RangeStreamer.SingleDatacenterFilter, RangeStreamer.WhitelistedSourcesFilter
  Enclosing class:
    RangeStreamer

      public static interface RangeStreamer.ISourceFilter

  A filter applied to sources to stream from when constructing a fetch map.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `shouldInclude(java.net.InetAddress endpoint)`

- - ### Method Detail

    - #### shouldInclude

          boolean shouldInclude(java.net.InetAddress endpoint)

Copyright © 2018 The Apache Software Foundation